de.esprit.common.log

## Class LogSupportAdapter

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.LogSupportAdapter

- All Implemented Interfaces:
    LogSupport, Dumpable
  Direct Known Subclasses:
    ApplicationContext, DebugTaskListener

      public class LogSupportAdapter
      extends DumpableObject
      implements LogSupport

  This class provides basic log support
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogSupportAdapter()`
    `LogSupportAdapter(LogChannel logCh)`
    `LogSupportAdapter(java.lang.String logChName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LogChannel` | `getLogChannel()`
    `LogLevel` | `getLogLevel()`
    `boolean` | `isLogDebug()` Tells whether the current `LogLevel` is DEBUG
    `boolean` | `isLogVerbose()` Tells whether the current `LogLevel` is VERBOSE
    `void` | `logDebug(java.lang.Object caller, java.lang.String message)`
    `void` | `logDump(java.lang.Object caller, java.lang.String message)`
    `void` | `logError(java.lang.Object caller, java.lang.String message)`
    `void` | `logError(java.lang.Object caller, java.lang.String message, java.lang.Exception e)`
    `void` | `logFatal(java.lang.Object caller, java.lang.String message, java.lang.Exception e)`
    `void` | `logInfo(java.lang.Object caller, java.lang.String message)`
    `void` | `logVerbose(java.lang.Object caller, java.lang.String message)`
    `void` | `logWarning(java.lang.Object caller, java.lang.String message)`
    `void` | `setLogChannel(LogChannel logCh)`
    `void` | `setLogLevel(LogLevel level)`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogSupportAdapter

          public LogSupportAdapter()

    - #### LogSupportAdapter

          public LogSupportAdapter(java.lang.String logChName)

    - #### LogSupportAdapter

          public LogSupportAdapter(LogChannel logCh)

  - ### Method Detail

    - #### logFatal

          public void logFatal(java.lang.Object caller,
                      java.lang.String message,
                      java.lang.Exception e)

      Specified by:
        `logFatal` in interface `LogSupport`

    - #### logError

          public void logError(java.lang.Object caller,
                      java.lang.String message,
                      java.lang.Exception e)

      Specified by:
        `logError` in interface `LogSupport`

    - #### logError

          public void logError(java.lang.Object caller,
                      java.lang.String message)

      Specified by:
        `logError` in interface `LogSupport`

    - #### logWarning

          public void logWarning(java.lang.Object caller,
                        java.lang.String message)

      Specified by:
        `logWarning` in interface `LogSupport`

    - #### logInfo

          public void logInfo(java.lang.Object caller,
                     java.lang.String message)

      Specified by:
        `logInfo` in interface `LogSupport`

    - #### logVerbose

          public void logVerbose(java.lang.Object caller,
                        java.lang.String message)

      Specified by:
        `logVerbose` in interface `LogSupport`

    - #### logDebug

          public void logDebug(java.lang.Object caller,
                      java.lang.String message)

      Specified by:
        `logDebug` in interface `LogSupport`

    - #### logDump

          public void logDump(java.lang.Object caller,
                     java.lang.String message)

      Specified by:
        `logDump` in interface `LogSupport`

    - #### getLogLevel

          public final LogLevel getLogLevel()

      Specified by:
        `getLogLevel` in interface `LogSupport`

    - #### setLogLevel

          public void setLogLevel(LogLevel level)

      Specified by:
        `setLogLevel` in interface `LogSupport`

    - #### getLogChannel

          public final LogChannel getLogChannel()

    - #### setLogChannel

          public final void setLogChannel(LogChannel logCh)

    - #### isLogDebug

          public final boolean isLogDebug()

      Description copied from interface: `LogSupport`
      Tells whether the current `LogLevel` is DEBUG
      Specified by:
        `isLogDebug` in interface `LogSupport`

    - #### isLogVerbose

          public final boolean isLogVerbose()

      Description copied from interface: `LogSupport`
      Tells whether the current `LogLevel` is VERBOSE
      Specified by:
        `isLogVerbose` in interface `LogSupport`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.